<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 * @ingroup PF
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'CreateCategory' => [ 'CreateCategory' ],
	'CreateClass' => [ 'CreateClass' ],
	'CreateForm' => [ 'CreateForm' ],
	'CreateProperty' => [ 'CreateProperty' ],
	'CreateTemplate' => [ 'CreateTemplate' ],
	'MultiPageEdit' => [ 'MultiPageEdit' ],
	'FormEdit' => [ 'FormEdit', 'AddData', 'EditData' ],
	'FormStart' => [ 'FormStart', 'AddPage' ],
	'Forms' => [ 'Forms' ],
	'RunQuery' => [ 'RunQuery' ],
	'Templates' => [ 'Templates' ],
	'UploadWindow' => [ 'UploadWindow' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'CreateCategory' => [ 'إنشاء_تصنيف' ],
	'CreateClass' => [ 'إنشاء_رتبة' ],
	'CreateForm' => [ 'إنشاء_استمارة' ],
	'CreateProperty' => [ 'إنشاء_خاصية' ],
	'CreateTemplate' => [ 'إنشاء_قالب' ],
	'FormEdit' => [ 'تعديل_البيانات' ],
	'FormStart' => [ 'إضافة_صفحة' ],
	'Forms' => [ 'استمارات' ],
	'RunQuery' => [ 'تنفيذ_الاستعلام' ],
	'Templates' => [ 'قوالب' ],
	'UploadWindow' => [ 'نافذة_الرفع' ],
];

/** Aramaic (ܐܪܡܝܐ) */
$specialPageAliases['arc'] = [
	'CreateCategory' => [ 'ܒܪܝ_ܣܕܪܐ' ],
	'CreateProperty' => [ 'ܒܪܝ_ܕܝܠܝܘ̈ܬܐ' ],
	'CreateTemplate' => [ 'ܒܪܝ_ܩܠܒܐ' ],
	'Templates' => [ 'ܩܠܒ̈ܐ' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'CreateCategory' => [ 'اعمل_تصنيف' ],
	'CreateClass' => [ 'اعمل_رتبه' ],
	'CreateForm' => [ 'اعمل_استماره' ],
	'CreateProperty' => [ 'اعمل_ملكيه' ],
	'CreateTemplate' => [ 'إاعمل_قالب' ],
	'FormEdit' => [ 'تعديل_الداتا' ],
	'FormStart' => [ 'زود_صفحه' ],
	'Forms' => [ 'استمارات' ],
	'RunQuery' => [ 'عمل_الكويرى' ],
	'Templates' => [ 'قوالب' ],
	'UploadWindow' => [ 'ويندو_الأپلود' ],
];

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = [
	'CreateCategory' => [ 'শ্ৰেণী_সৃষ্টি_কৰক' ],
	'Templates' => [ 'সাঁচসমূহ' ],
	'UploadWindow' => [ 'আপল’ড_ৱিন্দ' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'CreateCategory' => [ 'Создать_категорию' ],
	'CreateTemplate' => [ 'Создать_шаблон' ],
	'Templates' => [ 'Шаблоны' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'CreateCategory' => [ 'تهر_ئی_جۆڑ_کورتین' ],
	'CreateClass' => [ 'سینپ_ئی_جۆڑ_کورتین' ],
	'CreateForm' => [ 'پورم_ئی_جۆڑ_کورتین' ],
	'CreateProperty' => [ 'سی_پَت_ئی_جۆڑ_کورتین' ],
	'CreateTemplate' => [ 'تراشوان_ئی_جۆڑ_کورتین' ],
	'FormEdit' => [ 'مالومانی_بانکی_دستکاری' ],
	'FormStart' => [ 'یک_دیم_ئی_جۆڑ_کورتین' ],
	'Forms' => [ 'پورم_ئان' ],
	'RunQuery' => [ 'درخواست_ئی_نیویشتین' ],
	'Templates' => [ 'تراشوان_ئان' ],
	'UploadWindow' => [ 'بُرز_کنه_گ_ئین_دَروُچگ' ],
];

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = [
	'CreateCategory' => [ 'Ulah_tumbung' ],
	'CreateForm' => [ 'Ulah_purmulir' ],
	'CreateTemplate' => [ 'Ulah_citakan' ],
	'FormEdit' => [ 'Babak_data' ],
	'FormStart' => [ 'Tambah_tungkaran' ],
	'Templates' => [ 'Citakan' ],
	'UploadWindow' => [ 'Lalungkang_paunggahan' ],
];

/** Breton (brezhoneg) */
$specialPageAliases['br'] = [
	'CreateCategory' => [ 'KrouiñRummad' ],
	'CreateTemplate' => [ 'KrouiñPatrom' ],
	'FormEdit' => [ 'OuzhpennañDanvez' ],
	'FormStart' => [ 'OuzhpennañPajenn' ],
	'Templates' => [ 'Patromoù' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'CreateCategory' => [ 'PravljenjeKategorije' ],
	'CreateForm' => [ 'PravljenjeObrasca' ],
	'CreateProperty' => [ 'PravljenjeSvojstva' ],
	'CreateTemplate' => [ 'PravljenjeSablon' ],
	'FormEdit' => [ 'DodavanjePodataka' ],
	'FormStart' => [ 'DodavanjeStranice' ],
	'Forms' => [ 'Obrasci' ],
	'Templates' => [ 'Sabloni' ],
	'UploadWindow' => [ 'ProzorPostavljanja' ],
];

/** буряад (буряад) */
$specialPageAliases['bxr'] = [
	'CreateCategory' => [ 'Категори_үүсхэхэ' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'CreateCategory' => [ 'Кхолла_категори' ],
	'CreateTemplate' => [ 'Кхолла_кеп' ],
	'Templates' => [ 'Кепаш' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'CreateCategory' => [ 'Kategorie_erstellen' ],
	'CreateClass' => [ 'Klasse_erstellen' ],
	'CreateForm' => [ 'Formular_erstellen' ],
	'CreateProperty' => [ 'Attribut_erstellen' ],
	'CreateTemplate' => [ 'Vorlage_erstellen' ],
	'FormEdit' => [ 'Mit_Formular_bearbeiten', 'Daten_hinzufügen', 'Daten_bearbeiten' ],
	'FormStart' => [ 'Mit_Formular_hinzufügen', 'Seite_hinzufügen' ],
	'Forms' => [ 'Formulare' ],
	'RunQuery' => [ 'Abfrage_ausführen' ],
	'Templates' => [ 'Vorlagen' ],
	'UploadWindow' => [ 'Hochladefenster' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'CreateCategory' => [ 'KategoriyeVıraze' ],
	'CreateClass' => [ 'SınıfeVıraze' ],
	'CreateForm' => [ 'FormVıraze' ],
	'CreateProperty' => [ 'XısusiyetVıraze' ],
	'CreateTemplate' => [ 'ŞablonVıraze' ],
	'FormEdit' => [ 'FormiBıvurne', 'MelumatCıKe', 'MelumatiBıvurne' ],
	'FormStart' => [ 'FormSerterin', 'PelaDeke' ],
	'Forms' => [ 'Formi' ],
	'RunQuery' => [ 'PersinBerdış' ],
	'Templates' => [ 'Şabloni' ],
	'UploadWindow' => [ 'TeqaBarkerdış' ],
];

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = [
	'CreateCategory' => [ 'ΔημιουργίαΚατηγορίας' ],
	'CreateClass' => [ 'ΔημιουργίαΚλάσης' ],
	'CreateForm' => [ 'ΔημιουργίαΦόρμας' ],
	'CreateProperty' => [ 'ΔημιουργίαΙδιότητας' ],
	'CreateTemplate' => [ 'ΔημιουργίαΠροτύπου' ],
	'FormEdit' => [ 'ΕπεξεργασίαΦόρμας', 'ΠροσθήκηΔεδομένων', 'ΕπεξεργασίαΔεδομένων' ],
	'FormStart' => [ 'ΕκκίνησηΦόρμας', 'ΠροσθήκηΣελίδας' ],
	'Forms' => [ 'Φόρμες' ],
	'RunQuery' => [ 'ΕκτέλεσηΕρωτήματος' ],
	'Templates' => [ 'Πρότυπα' ],
	'UploadWindow' => [ 'ΠαράθυροΑνεβάσματος' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'CreateCategory' => [ 'Krei_kategorion' ],
	'CreateClass' => [ 'Krei_klason' ],
	'CreateForm' => [ 'Krei_formularon' ],
	'CreateProperty' => [ 'Krei_econ' ],
	'CreateTemplate' => [ 'Krei_ŝablonon' ],
	'Forms' => [ 'Formularoj' ],
	'Templates' => [ 'Ŝablonoj' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'CreateCategory' => [ 'CrearCategoría', 'Crear_categoría' ],
	'CreateForm' => [ 'CrearFormulario' ],
	'CreateProperty' => [ 'CrearPropiedad' ],
	'CreateTemplate' => [ 'CrearPlantilla' ],
	'Templates' => [ 'Plantillas' ],
];

/** Basque (euskara) */
$specialPageAliases['eu'] = [
	'CreateCategory' => [ 'KategoriaSortu' ],
	'CreateTemplate' => [ 'TxantiloiaSortu' ],
	'Templates' => [ 'Txantiloiak' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'CreateCategory' => [ 'ایجاد_رده' ],
	'CreateClass' => [ 'ایجاد_کلاس' ],
	'CreateForm' => [ 'ایجاد_فرم' ],
	'CreateProperty' => [ 'ایجاد_صفت' ],
	'CreateTemplate' => [ 'ایجاد_الگو' ],
	'FormEdit' => [ 'ویرایش_داده' ],
	'FormStart' => [ 'افزودن_صفحه' ],
	'Forms' => [ 'فرم‌ها' ],
	'RunQuery' => [ 'اجرای_درخواست' ],
	'Templates' => [ 'الگوها' ],
	'UploadWindow' => [ 'پنجره_بارگذاری' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'CreateCategory' => [ 'Luo_luokka' ],
	'CreateClass' => [ 'Luo_semanttinen_tietotyyppi' ],
	'CreateForm' => [ 'Luo_lomake' ],
	'CreateProperty' => [ 'Luo_ominaisuus' ],
	'CreateTemplate' => [ 'Luo_malline' ],
	'FormEdit' => [ 'Lomakemuokkaus' ],
	'FormStart' => [ 'Lomakeluonti' ],
	'Forms' => [ 'Lomakkeet' ],
	'RunQuery' => [ 'Semanttinen_kysely' ],
	'Templates' => [ 'Mallineet' ],
];

/** French (français) */
$specialPageAliases['fr'] = [
	'CreateCategory' => [ 'Créer_catégorie', 'CréerCatégorie' ],
	'CreateTemplate' => [ 'Créer_modèle', 'CréerModèle' ],
	'FormEdit' => [ 'AjouterDonnées', 'Ajouter_données' ],
	'FormStart' => [ 'AjouterPage', 'Ajouter_page' ],
	'Templates' => [ 'Modèles' ],
];

/** Arpitan (arpetan) */
$specialPageAliases['frp'] = [
	'CreateCategory' => [ 'Fâre_una_catègorie', 'FâreUnaCatègorie' ],
	'CreateForm' => [ 'Fâre_un_formulèro', 'FâreUnFormulèro' ],
	'CreateProperty' => [ 'Dèfenir_una_propriètât', 'DèfenirUnaPropriètât' ],
	'CreateTemplate' => [ 'Fâre_un_modèlo', 'FâreUnModèlo' ],
	'FormEdit' => [ 'Changiér_les_balyês', 'ChangiérLesBalyês' ],
	'FormStart' => [ 'Apondre_una_pâge', 'ApondreUnaPâge' ],
	'Forms' => [ 'Formulèros' ],
	'Templates' => [ 'Modèlos' ],
	'UploadWindow' => [ 'Fenétra_de_tèlèchargement', 'FenétraDeTèlèchargement' ],
];

/** Gagauz (Gagauz) */
$specialPageAliases['gag'] = [
	'CreateCategory' => [ 'KategoriyaYarat' ],
	'Templates' => [ 'Şablonnar' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'CreateCategory' => [ 'Crear_categoría' ],
	'CreateForm' => [ 'Crear_formulario' ],
	'CreateProperty' => [ 'Crear_propiedade' ],
	'CreateTemplate' => [ 'Crear_modelo' ],
	'Forms' => [ 'Formularios' ],
	'Templates' => [ 'Modelos' ],
	'UploadWindow' => [ 'Ventá_de_subidas', 'Xanela_de_subidas' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'CreateCategory' => [ 'Kategori_aalege' ],
	'CreateClass' => [ 'Klass_erstelle' ],
	'CreateForm' => [ 'Form_aalege' ],
	'CreateProperty' => [ 'Eigeschaft_aalege' ],
	'CreateTemplate' => [ 'Template_aalege' ],
	'FormEdit' => [ 'Date_bearbeite' ],
	'FormStart' => [ 'Syte_zuegee' ],
	'Forms' => [ 'Form' ],
	'RunQuery' => [ 'Abfroog_ussfüere' ],
	'Templates' => [ 'Vorlage' ],
	'UploadWindow' => [ 'Fänschter_zum_Uffelade' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'CreateCategory' => [ 'יצירת_קטגוריה' ],
	'CreateClass' => [ 'יצירת_מחלקה' ],
	'CreateForm' => [ 'יצירת_טופס' ],
	'CreateProperty' => [ 'יצירת_מאפיין' ],
	'CreateTemplate' => [ 'יצירת_תבנית' ],
	'FormEdit' => [ 'עריכת_טופס' ],
	'FormStart' => [ 'תחילת_טופס' ],
	'Forms' => [ 'טפסים' ],
	'RunQuery' => [ 'הרצת_שאילתה' ],
	'Templates' => [ 'תבניות' ],
	'UploadWindow' => [ 'חלון_העלאה' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'Forms' => [ 'Formulary' ],
	'Templates' => [ 'Předłohi' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'CreateCategory' => [ 'KreyeKategori' ],
	'CreateClass' => [ 'KreyeKlas' ],
	'CreateForm' => [ 'KreyeFòmilè' ],
	'CreateProperty' => [ 'KreyePropriete' ],
	'CreateTemplate' => [ 'KreyeModèl' ],
	'FormEdit' => [ 'ModifyeFòmilè', 'AjouteDòne', 'ModifyeDòne' ],
	'FormStart' => [ 'KòmanseFòmilè', 'AjoutePaj' ],
	'Forms' => [ 'FomilèYo' ],
	'RunQuery' => [ 'Enteroje' ],
	'Templates' => [ 'Modèl' ],
	'UploadWindow' => [ 'FenètChajman' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'CreateCategory' => [ 'Kategória_készítés' ],
	'CreateForm' => [ 'Űrlap_készítése' ],
	'CreateProperty' => [ 'Tulajdonság_készítése' ],
	'CreateTemplate' => [ 'Sablon_készítése' ],
	'FormEdit' => [ 'Adat_szerkesztése' ],
	'FormStart' => [ 'Lap_hozzáadása', 'Oldal_hozzáadása' ],
	'Forms' => [ 'Űrlapok' ],
	'Templates' => [ 'Sablonok' ],
	'UploadWindow' => [ 'Feltöltő_ablak' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'CreateCategory' => [ 'Crear_categoria' ],
	'CreateClass' => [ 'Crear_classe' ],
	'CreateForm' => [ 'Crear_formulario' ],
	'CreateProperty' => [ 'Crear_proprietate' ],
	'CreateTemplate' => [ 'Crear_patrono' ],
	'FormEdit' => [ 'Modificar_datos' ],
	'FormStart' => [ 'Adder_pagina' ],
	'Forms' => [ 'Formularios' ],
	'RunQuery' => [ 'Executar_consulta' ],
	'Templates' => [ 'Patronos' ],
	'UploadWindow' => [ 'Cargar_fenestra' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'CreateCategory' => [ 'Buat_kategori', 'BuatKategori' ],
	'CreateClass' => [ 'Buat_kelas', 'BuatKelas' ],
	'CreateForm' => [ 'Buat_formulir', 'BuatFormulir' ],
	'CreateProperty' => [ 'Buat_properti', 'BuatProperti' ],
	'CreateTemplate' => [ 'Buat_templat', 'BuatTemplat' ],
	'FormEdit' => [ 'Sunting_data', 'SuntingData' ],
	'FormStart' => [ 'Tambah_halaman', 'TambahHalaman' ],
	'Forms' => [ 'Formulir_semantik', 'FormulirSemantik' ],
	'RunQuery' => [ 'Jalankan_kueri', 'JalankanKueri' ],
	'Templates' => [ 'Templat' ],
	'UploadWindow' => [ 'Jendela_pengunggahan', 'JendelaPengunggahan' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'CreateCategory' => [ 'CreaCategoria' ],
	'CreateClass' => [ 'CreaClasse' ],
	'CreateForm' => [ 'CreaModulo' ],
	'CreateProperty' => [ 'CreaProprietà' ],
	'CreateTemplate' => [ 'CreaTemplate' ],
	'FormEdit' => [ 'ModificaDati' ],
	'FormStart' => [ 'AggiungiPagina' ],
	'Forms' => [ 'Moduli' ],
	'RunQuery' => [ 'EseguiRicerca' ],
	'Templates' => [ 'Template' ],
	'UploadWindow' => [ 'AggiornaFinestra' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'CreateCategory' => [ 'カテゴリ作成' ],
	'CreateClass' => [ 'クラス作成' ],
	'CreateForm' => [ 'フォーム作成' ],
	'CreateProperty' => [ 'プロパティ作成' ],
	'CreateTemplate' => [ 'テンプレート作成' ],
	'FormEdit' => [ 'データ編集' ],
	'FormStart' => [ 'ページ追加' ],
	'Forms' => [ 'フォーム一覧' ],
	'RunQuery' => [ 'クエリ実行' ],
	'Templates' => [ 'テンプレート一覧' ],
	'UploadWindow' => [ 'アップロードウィンドウ' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'CreateCategory' => [ 'კატეგორიის_შექმნა' ],
	'CreateClass' => [ 'კლასის_შექმნა' ],
	'CreateTemplate' => [ 'თარგის_შექმნა' ],
	'Templates' => [ 'თარგები' ],
	'UploadWindow' => [ 'ატვირთვის_ფანჯარა' ],
];

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = [
	'CreateCategory' => [ 'បង្កើតចំណាត់ត់ថ្នាក់ក្រុម' ],
	'CreateForm' => [ 'បង្កើត​ទម្រង់' ],
	'CreateTemplate' => [ 'បង្កើតទំព័រគំរូ' ],
	'FormEdit' => [ 'កែប្រែទិន្នន័យ' ],
	'FormStart' => [ 'បន្ថែមទំព័រ' ],
	'Forms' => [ 'ទម្រង់​នានា' ],
	'Templates' => [ 'ទំព័រគំរូ' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'CreateCategory' => [ '분류추가' ],
	'CreateClass' => [ '클래스추가' ],
	'CreateForm' => [ '양식추가' ],
	'CreateProperty' => [ '속성추가' ],
	'CreateTemplate' => [ '틀추가' ],
	'FormEdit' => [ '데이터편집' ],
	'FormStart' => [ '양식시작', '문서추가' ],
	'Forms' => [ '양식목록' ],
	'RunQuery' => [ '쿼리실행' ],
	'Templates' => [ '틀목록' ],
	'UploadWindow' => [ '올리기창' ],
];

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = [
	'CreateCategory' => [ 'Saachjropp aanlääje' ],
	'CreateForm' => [ 'Fommulaa aanlääje' ],
	'CreateProperty' => [ 'Eijeschaff aanlääje' ],
	'CreateTemplate' => [ 'Schabloon aanlääje' ],
	'FormEdit' => [ 'Date ändere' ],
	'FormStart' => [ 'Sigg dobei donn' ],
	'Forms' => [ 'Fommulaare' ],
	'Templates' => [ 'Schabloone' ],
	'UploadWindow' => [ 'Finster zum Huhlaade', 'Finster zom Huhlaade' ],
];

/** Cornish (kernowek) */
$specialPageAliases['kw'] = [
	'CreateCategory' => [ 'GwruthylKlass' ],
	'CreateClass' => [ 'GwruthylKlassyans' ],
	'CreateForm' => [ 'GwruthylFurvlen' ],
	'CreateTemplate' => [ 'GwruthylSkantlyn' ],
	'Templates' => [ 'Skantlyns' ],
];

/** Ladino (Ladino) */
$specialPageAliases['lad'] = [
	'Templates' => [ 'Xabblones' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'CreateCategory' => [ 'Kategorie_uleeën' ],
	'CreateClass' => [ 'Klass_uleeën' ],
	'CreateForm' => [ 'Formulaire_uleeën' ],
	'CreateProperty' => [ 'Eegeschaften_uleeën' ],
	'CreateTemplate' => [ 'Schabloun_uleeën' ],
	'FormEdit' => [ 'Daten_änneren' ],
	'FormStart' => [ 'Säit_derbäisetzen' ],
	'Forms' => [ 'Formulairen' ],
	'RunQuery' => [ 'Ufro_ausféieren' ],
	'Templates' => [ 'Schablounen' ],
	'UploadWindow' => [ 'Fënster_eroplueden' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'CreateCategory' => [ 'СоздајКатегорија' ],
	'CreateClass' => [ 'СоздајКласа' ],
	'CreateForm' => [ 'СоздајОбразец' ],
	'CreateProperty' => [ 'СоздајСвојство' ],
	'CreateTemplate' => [ 'СоздајШаблон' ],
	'FormEdit' => [ 'УредиПодаток' ],
	'FormStart' => [ 'ДодајСтраница' ],
	'Forms' => [ 'Обрасци' ],
	'RunQuery' => [ 'ПуштиБарање' ],
	'Templates' => [ 'Шаблони' ],
	'UploadWindow' => [ 'ПрозорецЗаПодигање' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'CreateCategory' => [ 'വർഗ്ഗസൃഷ്ടി' ],
	'CreateForm' => [ 'ഫോംസൃഷ്ടി' ],
	'CreateTemplate' => [ 'ഫലകസൃഷ്ടി' ],
	'FormEdit' => [ 'വിവരങ്ങൾതിരുത്തുക' ],
	'FormStart' => [ 'താൾചേർക്കുക' ],
	'Forms' => [ 'ഫോമുകൾ' ],
	'Templates' => [ 'ഫലകങ്ങൾ' ],
	'UploadWindow' => [ 'അപ്‌ലോഡ്ജാലകം' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'CreateCategory' => [ 'वर्गतयारकरा' ],
	'CreateForm' => [ 'फॉर्मतयारकरा' ],
	'CreateProperty' => [ 'वैशिष्ट्येतयारकरा' ],
	'CreateTemplate' => [ 'साचेतयारकरा' ],
	'FormEdit' => [ 'विदासंपादा' ],
	'FormStart' => [ 'पानजोडा' ],
	'Forms' => [ 'फॉर्म्स' ],
	'Templates' => [ 'साचे' ],
	'UploadWindow' => [ 'चढवाखिडकी' ],
];

/** Maltese (Malti) */
$specialPageAliases['mt'] = [
	'CreateCategory' => [ 'OħloqKategorija' ],
	'FormEdit' => [ 'ŻidDati' ],
	'FormStart' => [ 'ŻidPaġna' ],
	'Templates' => [ 'Mudelli' ],
];

/** Erzya (эрзянь) */
$specialPageAliases['myv'] = [
	'Forms' => [ 'Парцунт' ],
	'Templates' => [ 'ЛопаПарцунт' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'CreateCategory' => [ 'Opprett_kategori' ],
	'CreateClass' => [ 'Opprett_klasse' ],
	'CreateForm' => [ 'Opprett_skjema' ],
	'CreateProperty' => [ 'Opprett_egenskap' ],
	'CreateTemplate' => [ 'Opprett_mal' ],
	'FormEdit' => [ 'Rediger_data', 'Legg_til_data' ],
	'FormStart' => [ 'Legg_til_side' ],
	'Forms' => [ 'Skjemaer' ],
	'RunQuery' => [ 'Kjør_spørring' ],
	'Templates' => [ 'Maler' ],
	'UploadWindow' => [ 'Opplastingsvindu' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'CreateCategory' => [ 'Kategorie_anmaken' ],
	'CreateClass' => [ 'Klasse_anmaken' ],
	'CreateForm' => [ 'Formulier_anmaken' ],
	'CreateProperty' => [ 'Eigenschap_anmaken' ],
	'CreateTemplate' => [ 'Mal_anmaken' ],
	'FormEdit' => [ 'Gegevens_bewarken' ],
	'FormStart' => [ 'Zied_derbie_doon' ],
	'Forms' => [ 'Formulieren' ],
	'RunQuery' => [ 'Zeukopdrachte_uutvoeren' ],
	'Templates' => [ 'Mallen' ],
	'UploadWindow' => [ 'Bestaandenscharm' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'CreateCategory' => [ 'CategorieAanmaken' ],
	'CreateClass' => [ 'KlasseAanmaken' ],
	'CreateForm' => [ 'FormulierAanmaken' ],
	'CreateProperty' => [ 'EigenschapAanmaken' ],
	'CreateTemplate' => [ 'SjabloonAanmaken' ],
	'FormEdit' => [ 'GegevensBewerken', 'GegevensToevoegen' ],
	'FormStart' => [ 'PaginaToevoegen' ],
	'Forms' => [ 'Formulieren' ],
	'RunQuery' => [ 'ZoekopdrachtUitvoeren' ],
	'Templates' => [ 'Sjablonen' ],
	'UploadWindow' => [ 'Uploadscherm' ],
];

/** Occitan (occitan) */
$specialPageAliases['oc'] = [
	'CreateCategory' => [ 'Crear una categoria', 'CrearCategoria' ],
	'CreateForm' => [ 'Crear un formulari', 'CrearFormulari' ],
	'CreateProperty' => [ 'Crear una proprietat', 'CrearProprietat' ],
	'CreateTemplate' => [ 'Crear un modèl', 'CrearModèl' ],
	'FormStart' => [ 'Apondre una pagina', 'ApondrePagina' ],
	'Forms' => [ 'Formularis' ],
	'Templates' => [ 'Modèls' ],
];

/** Oriya (ଓଡ଼ିଆ) */
$specialPageAliases['or'] = [
	'CreateCategory' => [ 'ଶ୍ରେଣୀ_ତିଆରି_କରନ୍ତୁ' ],
	'CreateForm' => [ 'ଫରମ_ତିଆରି_କରନ୍ତୁ' ],
	'CreateTemplate' => [ 'ଛାଞ୍ଚ_ତିଆରି_କରନ୍ତୁ' ],
	'FormEdit' => [ 'ଫରମ_ବଦଳାନ୍ତୁ' ],
	'FormStart' => [ 'ଫରମ_ଆରମ୍ଭ_କରନ୍ତୁ' ],
	'Forms' => [ 'ଫରମ' ],
	'Templates' => [ 'ଛାଞ୍ଚ' ],
	'UploadWindow' => [ 'ଉଇଣ୍ଡୋ_ଅପଲୋଡ଼_କରନ୍ତୁ' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'CreateCategory' => [ 'ਸ਼੍ਰੇਣੀ_ਬਣਾਓ' ],
	'CreateTemplate' => [ 'ਫਰਮਾ_ਬਣਾਓ' ],
	'Forms' => [ 'ਫ਼ਾਰਮ' ],
	'Templates' => [ 'ਫਰਮੇ' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'CreateCategory' => [ 'UtwórzKategorię' ],
	'CreateClass' => [ 'UtwórzKlasę' ],
	'CreateForm' => [ 'UtwórzFormularz' ],
	'CreateProperty' => [ 'UtwórzWłaściwość' ],
	'CreateTemplate' => [ 'UtwórzSzablon' ],
	'Forms' => [ 'Formularze' ],
	'Templates' => [ 'Szablony' ],
];

/** Pashto (پښتو) */
$specialPageAliases['ps'] = [
	'CreateCategory' => [ 'وېشنيزه جوړول' ],
	'CreateProperty' => [ 'د جوړولو ځانتيا' ],
	'CreateTemplate' => [ 'کينډۍ جوړول' ],
	'FormStart' => [ 'مخ ګډول' ],
	'Templates' => [ 'کينډۍ' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'CreateCategory' => [ 'Criar_categoria' ],
	'CreateClass' => [ 'Criar_classe' ],
	'CreateForm' => [ 'Criar_formulário' ],
	'CreateProperty' => [ 'Criar_propriedade' ],
	'CreateTemplate' => [ 'Criar_modelo' ],
	'FormEdit' => [ 'Editar_dados' ],
	'FormStart' => [ 'Adicionar_página' ],
	'Forms' => [ 'Formulários' ],
	'RunQuery' => [ 'Executar_consulta' ],
	'Templates' => [ 'Modelos' ],
	'UploadWindow' => [ 'Janela_de_carregamento' ],
];

/** Brazilian Portuguese (português do Brasil) */
$specialPageAliases['pt-br'] = [
	'Forms' => [ 'Formulários' ],
	'Templates' => [ 'Predefinições' ],
	'UploadWindow' => [ 'Tela_de_envio' ],
];

/** Romanian (română) */
$specialPageAliases['ro'] = [
	'Templates' => [ 'Formate' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'CreateCategory' => [ 'Создать_категорию' ],
	'CreateTemplate' => [ 'Создать_шаблон' ],
	'Templates' => [ 'Шаблоны' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'CreateCategory' => [ 'CreaCategoria' ],
	'CreateClass' => [ 'CreaClasse' ],
	'CreateForm' => [ 'CreaModulo' ],
	'CreateProperty' => [ 'CreaProprietà' ],
	'CreateTemplate' => [ 'CreaTemplate' ],
	'FormEdit' => [ 'ModificaDati' ],
	'FormStart' => [ 'AggiungiPagina' ],
	'Forms' => [ 'Moduli' ],
	'RunQuery' => [ 'EseguiRicerca' ],
	'Templates' => [ 'Template' ],
	'UploadWindow' => [ 'AggiornaFinestra' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'CreateCategory' => [ 'VytvoriťKategóriu' ],
	'CreateForm' => [ 'VytvoriťFormulár' ],
	'CreateProperty' => [ 'VytvoriťVlastnosť' ],
	'CreateTemplate' => [ 'VytvoriťŠablónu' ],
	'FormEdit' => [ 'UpraviťDáta' ],
	'FormStart' => [ 'PridaťStránku' ],
	'Forms' => [ 'Formuláre' ],
	'Templates' => [ 'Šablóny' ],
	'UploadWindow' => [ 'NahrávacieOkno' ],
];

/** Albanian (shqip) */
$specialPageAliases['sq'] = [
	'Forms' => [ 'Format' ],
	'Templates' => [ 'Stampat' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$specialPageAliases['sr-ec'] = [
	'CreateCategory' => [ 'НаправиКатегорију' ],
	'CreateClass' => [ 'НаправиКласу', 'Направи_класу' ],
	'CreateForm' => [ 'НаправиОбразац', 'Направи_образац' ],
	'CreateProperty' => [ 'НаправиСвојство', 'Направи_својство' ],
	'CreateTemplate' => [ 'НаправиШаблон', 'Направи_шаблон' ],
	'FormEdit' => [ 'Уреди_образац' ],
	'FormStart' => [ 'ДодајСтраницу', 'Додај_страницу' ],
	'Forms' => [ 'Обрасци' ],
	'Templates' => [ 'Шаблони' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'CreateCategory' => [ 'Skapa_kategori' ],
	'Templates' => [ 'Mallar' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'CreateCategory' => [ 'UndaJamii' ],
	'CreateForm' => [ 'UndaFomu' ],
	'CreateTemplate' => [ 'UndaKigezo' ],
	'FormEdit' => [ 'HaririData' ],
	'FormStart' => [ 'WekaKurasa' ],
	'Forms' => [ 'Fomu' ],
	'Templates' => [ 'Vigezo' ],
	'UploadWindow' => [ 'DirishalaKupakizia' ],
];

/** Thai (ไทย) */
$specialPageAliases['th'] = [
	'CreateCategory' => [ 'สร้างหมวดหมู่' ],
	'CreateClass' => [ 'สร้างคลาส' ],
	'CreateForm' => [ 'สร้างแบบฟอร์ม' ],
	'CreateProperty' => [ 'สร้างคุณสมบัติ' ],
	'CreateTemplate' => [ 'สร้างแม่แบบ' ],
	'FormEdit' => [ 'แก้ไขแบบฟอร์ม' ],
	'FormStart' => [ 'เริ่มแบบฟอร์ม' ],
	'Forms' => [ 'แบบฟอร์ม' ],
	'Templates' => [ 'แม่แบบ' ],
	'UploadWindow' => [ 'หน้าต่างอัปโหลด' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'CreateCategory' => [ 'Likhain_ang_kaurian' ],
	'CreateForm' => [ 'Likhain_ang_pormularyo' ],
	'CreateProperty' => [ 'Likhain_ang_pag-aari' ],
	'CreateTemplate' => [ 'Likhain_ang_suleras' ],
	'FormEdit' => [ 'Baguhin_ang_dato' ],
	'FormStart' => [ 'Idagdag_ang_pahina' ],
	'Forms' => [ 'Mga_pormularyo' ],
	'Templates' => [ 'Mga_suleras' ],
	'UploadWindow' => [ 'Bintana_ng_pagkarga' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'CreateCategory' => [ 'KategoriOluştur', 'UlamOluştur' ],
	'CreateClass' => [ 'SınıfOluştur' ],
	'CreateForm' => [ 'FormOluştur' ],
	'CreateProperty' => [ 'ÖzellikOluştur' ],
	'CreateTemplate' => [ 'ŞablonOluştur' ],
	'FormEdit' => [ 'VeriDüzenle', 'VeriDeğiştir' ],
	'FormStart' => [ 'SayfaEkle' ],
	'Forms' => [ 'Formlar' ],
	'RunQuery' => [ 'SorguYürüt' ],
	'Templates' => [ 'Şablonlar' ],
	'UploadWindow' => [ 'YüklemePenceresi' ],
];

/** Tatar (Cyrillic script) (татарча) */
$specialPageAliases['tt-cyrl'] = [
	'CreateTemplate' => [ 'Үрнәкне_үзгәртү' ],
	'Templates' => [ 'Үрнәкләр' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'CreateCategory' => [ 'Створити_категорію' ],
	'CreateClass' => [ 'Створити_клас' ],
	'CreateForm' => [ 'Створити_форму' ],
	'CreateProperty' => [ 'Створити_властивість' ],
	'CreateTemplate' => [ 'Створити_шаблон' ],
	'Forms' => [ 'Форми' ],
	'Templates' => [ 'Шаблони' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'Templates' => [ 'سانچہ_جات' ],
];

/** Venetian (vèneto) */
$specialPageAliases['vec'] = [
	'CreateTemplate' => [ 'CreaModèl' ],
	'FormEdit' => [ 'ZontaDati' ],
	'FormStart' => [ 'ZontaPagina' ],
	'Templates' => [ 'Modèi' ],
	'UploadWindow' => [ 'AjornaFenestra' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'CreateCategory' => [ 'Tạo_thể_loại' ],
	'CreateClass' => [ 'Tạo_lớp' ],
	'CreateForm' => [ 'Tạo_biểu_mẫu' ],
	'CreateProperty' => [ 'Tạo_thuộc_tính' ],
	'CreateTemplate' => [ 'Tạo_bản_mẫu' ],
	'FormEdit' => [ 'Sửa_biểu_mẫu', 'Thêm_dữ_liệu', 'Sửa_dữ_liệu' ],
	'Forms' => [ 'Biểu_mẫu' ],
	'RunQuery' => [ 'Chạy_truy_vấn' ],
	'Templates' => [ 'Bản_mẫu' ],
	'UploadWindow' => [ 'Cửa_sổ_tải_lên' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'CreateCategory' => [ '创建分类' ],
	'CreateClass' => [ '创建类' ],
	'CreateForm' => [ '创建表单' ],
	'CreateProperty' => [ '创建属性' ],
	'CreateTemplate' => [ '创建模板' ],
	'FormEdit' => [ '编辑表格', '添加数据' ],
	'FormStart' => [ '表格起始', '添加页面' ],
	'Forms' => [ '表单' ],
	'RunQuery' => [ '执行查询' ],
	'Templates' => [ '模板' ],
	'UploadWindow' => [ '上传窗口' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'CreateCategory' => [ '建立分類' ],
	'CreateClass' => [ '建立組別' ],
	'CreateForm' => [ '建立表單' ],
	'CreateProperty' => [ '建立屬性' ],
	'CreateTemplate' => [ '建立模板' ],
	'FormEdit' => [ '表單編輯' ],
	'FormStart' => [ '表單啟動' ],
	'Forms' => [ '表單' ],
	'RunQuery' => [ '運行查詢' ],
	'Templates' => [ '模板' ],
	'UploadWindow' => [ '上載視窗' ],
];
