<?php
/**
 * @file
 * @ingroup PF
 */

$magicWords = [];

/** English (English) */
$magicWords['en'] = [
	'default_form' => [ 0, 'default_form' ],
	'forminput' => [ 0, 'forminput' ],
	'formlink' => [ 0, 'formlink' ],
	'formredlink' => [ 0, 'formredlink' ],
	'queryformlink' => [ 0, 'queryformlink' ],
	'arraymap' => [ 0, 'arraymap' ],
	'arraymaptemplate' => [ 0, 'arraymaptemplate' ],
	'autoedit' => [ 0, 'autoedit' ],
	'autoedit_rating' => [ 0, 'autoedit_rating' ],
	'template_params' => [ 0, 'template_params' ],
	'template_display' => [ 0, 'template_display' ],
];

/** Arabic (العربية) */
$magicWords['ar'] = [
	'default_form' => [ 0, 'نموذج_افتراضي' ],
	'forminput' => [ 0, 'مدخل_النموذج' ],
	'formlink' => [ 0, 'وصلة_النموذج' ],
	'queryformlink' => [ 0, 'وصلة_نموذج_استعلام' ],
	'arraymap' => [ 0, 'خريطة_المصفوفة' ],
	'arraymaptemplate' => [ 0, 'قالب_خريطة_المصفوفة' ],
	'autoedit' => [ 0, 'تعديل_تلقائي' ],
];

/** Egyptian Arabic (مصرى) */
$magicWords['arz'] = [
	'forminput' => [ 0, 'مدخل_النموذج' ],
	'formlink' => [ 0, 'وصلة_النموذج' ],
	'queryformlink' => [ 0, 'وصله_نموذج_استعلام' ],
	'arraymap' => [ 0, 'خريطة_المصفوفة' ],
	'arraymaptemplate' => [ 0, 'قالب_خريطة_المصفوفة' ],
	'autoedit' => [ 0, 'تعديل_تلقائى' ],
];

/** German (Deutsch) */
$magicWords['de'] = [
	'forminput' => [ 0, 'formulareingabe' ],
	'formlink' => [ 0, 'formularlink', 'formularverweis' ],
	'queryformlink' => [ 0, 'abfrageformularlink', 'abfrageformularverweis' ],
	'arraymap' => [ 0, 'werteanordnung' ],
	'arraymaptemplate' => [ 0, 'werteanordnungsvorlage' ],
	'autoedit' => [ 0, 'autobearbeitung' ],
];

/** Greek (Ελληνικά) */
$magicWords['el'] = [
	'forminput' => [ 0, 'είσοδοςφόρμας' ],
	'formlink' => [ 0, 'σύνδεσμοςφόρμας' ],
	'queryformlink' => [ 0, 'σύνδεσμοςφόρμαςερωτήματος' ],
	'arraymap' => [ 0, 'χάρτηςπίνακα' ],
	'arraymaptemplate' => [ 0, 'πρότυποχάρτηπίνακα' ],
	'autoedit' => [ 0, 'αυτόματηεπεξεργασία' ],
];

/** Japanese (日本語) */
$magicWords['ja'] = [
	'forminput' => [ 0, '入力フォーム' ],
	'formlink' => [ 0, 'リンクフォーム' ],
	'arraymap' => [ 0, '配列マップ' ],
	'arraymaptemplate' => [ 0, '配列マップテンプレート' ],
];

/** Georgian (ქართული) */
$magicWords['ka'] = [
	'autoedit' => [ 0, 'ავტო_რედაქტირება' ],
];

/** Korean (한국어) */
$magicWords['ko'] = [
	'forminput' => [ 0, '양식입력' ],
	'formlink' => [ 0, '양식링크' ],
	'queryformlink' => [ 0, '쿼리양식링크' ],
	'arraymap' => [ 0, '배열지도' ],
	'arraymaptemplate' => [ 0, '배열지도틀' ],
	'autoedit' => [ 0, '자동편집' ],
];

/** Macedonian (македонски) */
$magicWords['mk'] = [
	'default_form' => [ 0, 'стандарден_образец' ],
	'forminput' => [ 0, 'вносзаобразец' ],
	'formlink' => [ 0, 'врсказаобразец' ],
	'formredlink' => [ 0, 'црвенаврсказаобразец' ],
	'queryformlink' => [ 0, 'барањезаврсказаобразец' ],
	'arraymap' => [ 0, 'картананиза' ],
	'arraymaptemplate' => [ 0, 'шаблоннакартазаниза' ],
	'autoedit' => [ 0, 'автоуреди' ],
];

/** Marathi (मराठी) */
$magicWords['mr'] = [
	'arraymap' => [ 0, 'नकाशेरचना' ],
	'arraymaptemplate' => [ 0, 'नकाशेसाचारचना' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$magicWords['nds-nl'] = [
	'forminput' => [ 0, 'formulierinvoer' ],
	'formlink' => [ 0, 'formulierverwiezing' ],
	'arraymaptemplate' => [ 0, 'arraymapmal' ],
];

/** Dutch (Nederlands) */
$magicWords['nl'] = [
	'forminput' => [ 0, 'formulierinvoer' ],
	'formlink' => [ 0, 'formulierkoppeing', 'formulierverwijzing' ],
	'queryformlink' => [ 0, 'zoekformulierkoppeling', 'zoekformulierverwijzing' ],
	'arraymap' => [ 0, 'arraymapping' ],
	'arraymaptemplate' => [ 0, 'arraymapsjabloon' ],
	'autoedit' => [ 0, 'autobewerken' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$magicWords['sr-ec'] = [
	'forminput' => [ 0, 'формирајулаз', 'формирај_улаз' ],
	'formlink' => [ 0, 'формирај_везу' ],
];

/** Serbian (Latin script) (srpski (latinica)‎) */
$magicWords['sr-el'] = [
	'forminput' => [ 0, 'obrazuj_ulaz' ],
	'formlink' => [ 0, 'obrazuj_vezu' ],
	'arraymap' => [ 0, 'niz_mape' ],
	'arraymaptemplate' => [ 0, 'šablon_niza_mape' ],
];

/** Simplified Chinese (中文（简体）‎) */
$magicWords['zh-hans'] = [
	'default_form' => [ 0, '默认表单' ],
	'forminput' => [ 0, '表单输入' ],
	'formlink' => [ 0, '表单连接' ],
	'formredlink' => [ 0, '表单红链' ],
	'queryformlink' => [ 0, '查询连接表单' ],
	'arraymap' => [ 0, '数组地图' ],
	'arraymaptemplate' => [ 0, '数组地图模板' ],
	'autoedit' => [ 0, '自动编辑' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$magicWords['zh-hant'] = [
	'arraymap' => [ 0, '陣列地圖' ],
	'arraymaptemplate' => [ 0, '陣列地圖模板' ],
	'autoedit' => [ 0, '自動編輯' ],
];
